/* Trying random_shuffle + greedy solution a lot of times.
 May pass the first subtask (because it is almost the same as O(2^n)). */
/* Should get 15 points */
#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

const ll INF = (ll) 1e18;

#define TASK "cakes"

bool cmp(pair <int, int> const& a,
         pair <int, int> const& b)
{
    return a.second < b.second
                      || (a.second == b.second && a.first < b.first);
}

int main()
{
    freopen(TASK ".in", "r", stdin);
    freopen(TASK ".out", "w", stdout);
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, T;
    cin >> n >> T;

    vector <pair <int, int> > v(n);
    for (int i = 0; i < n; i++) {
        cin >> v[i].first >> v[i].second;
    }
    int ans = 0;
    for (int tt = 0; n * tt < 40000000; tt++) {
        if (tt == 0) {
            sort(v.begin(), v.end(), cmp);
        } else if (tt == 1) {
            sort(v.begin(), v.end());
        } else {
            random_shuffle(v.begin(), v.end());
        }

        int m = 0;
        long long sum = 0;
        int cnt = 0;
        for (int i = 0; i < n; i++) {
            m = max(m, v[i].first);
            sum += v[i].second;
            cnt++;
            if (sum + m <= T) ans = max(ans, cnt);
            else {
                sum -= v[i].second;
                cnt--;
            }
        }
    }
    cout << ans << endl;

    return 0;
}
