#include <bits/stdc++.h>
using namespace std;

#define TASK "cubes"

int check_height(vector <int> &a,
                 int sum,
                 int height)
{
    int lesser = 0;
    int higher = 0;
    for (int i = 0; i < (int) a.size(); i++) {
        if (a[i] > height) {
            higher += a[i] - height;
        } else {
            lesser += height - a[i];
        }
    }

    return max(higher, lesser);
}

int main()
{
    freopen(TASK ".in", "r", stdin);
    freopen(TASK ".out", "w", stdout);
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin >> n;
    vector <int> a(n);
    int sum = 0;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        sum += a[i];
    }

    int upper_height = (sum + n - 1) / n;
    int lower_height = sum / n;

    cout << min(check_height(a, sum, upper_height), 
                check_height(a, sum, lower_height)) << endl;
}
