#include <bits/stdc++.h>

int main() {
    freopen("cakes.in", "r", stdin);
    freopen("cakes.out", "w", stdout);
    int n, T;
    scanf("%d%d", &n, &T);
    std::vector<int> x(n), t(n);
    std::map < int, std::vector<int> > times;
    std::vector<int> nx;
    for (int i = 0; i < n; i++) {
        scanf("%d%d", &x[i], &t[i]);
        times[x[i]].push_back(t[i]);
        if (!i || x[i] != x[i - 1])
            nx.push_back(x[i]);
    }
    x = nx;
    n = (int)x.size();
    std::multiset<int> cakes;
    long long spentTime = 0;
    int maxCakesCount = 0;
    for (int i = 0; i < n; i++) {
        long long needTime = T - (i == 0 ? x[i] : x[i] - x[i - 1]);
        for (size_t it = 0; it != times[x[i]].size(); ++it) { 
            cakes.insert(times[x[i]][it]);
            spentTime += times[x[i]][it];
        }
        while (cakes.size() > 0 && spentTime > needTime) {
            int timeValue = *cakes.rbegin();
            cakes.erase(cakes.find(timeValue));
            spentTime -= timeValue;
        }
        T = needTime;
        maxCakesCount = std::max(maxCakesCount, (int)cakes.size());
    }
    printf("%d\n", maxCakesCount);
    return 0;
}