/* Solution with O(2^n) complexity */
/* Should get 15 points */
#include <cstdio>
#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

#define TASK "cakes"

int main()
{
    freopen(TASK ".in", "r", stdin);
    freopen(TASK ".out", "w", stdout);
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, t;
    cin >> n >> t;

    vector <pair <int, int> > v(n);
    for (int i = 0; i < n; i++) {
        cin >> v[i].first >> v[i].second;
    }

    int best = 0;
    for (int mask = 0; mask < (1 << n); mask++) {
        int last = 0;
        long long time = 0;
        for (int i = 0; i < n; i++) {
            if (mask & (1 << i)) {
                time += v[i].first - last + v[i].second;
                last = v[i].first;
            }
        }
        if (time <= t) {
            best = max(best, __builtin_popcount(mask));
        }
    }

    cout << best << endl;

    return 0;
}
