/* Should get 35 points */
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.lang.Math;
import java.util.Scanner;

public class cakes_voit_20 {
    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(new FileInputStream("cakes.in"));
        PrintWriter out = new PrintWriter(new FileOutputStream("cakes.out"));

        int n = in.nextInt();
        int t = in.nextInt();

        Granny[] cakes = new Granny[n];
        for (int i = 0; i < n; i++) {
            cakes[i] = new Granny(in.nextInt(), in.nextInt());
        }

        int[][] dp = new int[n + 1][t + 1];
        for (int i = 0; i < n + 1; i++) {
            for (int j = 0; j < t + 1; j++) {
                dp[i][j] = -1;
            }
        }
        dp[0][0] = 0;

        for (int i = 0; i < n; i++) {
            for (int j = 0; j <= t; j++) {
                if (dp[i][j] == -1) continue;
                long last = i > 0 ? cakes[i - 1].x : 0;
                long nextL = cakes[i].x - last + j;
                if (nextL > t) {
                    continue;
                }

                int next = (int) nextL;
                dp[i + 1][next] = Math.max(dp[i + 1][next], dp[i][j]);
                nextL += cakes[i].t;
                if (nextL <= t) {
                    next = (int) nextL;
                    dp[i + 1][next] = Math.max(dp[i + 1][next], dp[i][j] + 1);
                }
            }
        }

        int ans = 0;
        for (int i = 0; i < n + 1; i++) {
            for (int j = 0; j < t + 1; j++) {
                ans = Math.max(ans, dp[i][j]);
            }
        }

        out.println(ans);
        out.close();
    }

    static class Granny {
        int x, t;

        public Granny(int x, int t) {
            this.x = x;
            this.t = t;
        }
    }
}
