import java.util.List;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {
    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        try {
            int cAns = ouf.nextInt();
            int jAns = ans.nextInt();
            if (cAns != jAns) {
           	return new Outcome(Type.WA, String.format("Wrong answer: Expected %s, found %s", jAns, cAns));
            }
            if (!ouf.isEoF())
                ouf.nextLine();
            if (!ans.isEoF())
                ans.nextLine();
        } catch(Exception e) {
            return new Outcome(Type.PE, "Few tokens");
        }
        return new Outcome(Type.OK, "No differences");
    }
}
