#include <cstdio>
#include <iostream>
#include <ctime>
#include <cstdlib>
#include <algorithm>

using namespace std;

const int maxn = 1 << 17;

int n;
int a[maxn], p[maxn], ans[maxn];

int main() {
    freopen("parties.in", "r", stdin);
    freopen("parties.out", "w", stdout);

    scanf("%d", &n);
    for (int i = 0; i < n; i++) {
        scanf("%d", &a[i]);
        p[i] = i;
    } 
    sort(p, p + n, [](int i, int j) { return a[i] > a[j]; });
    while ((double)clock() / CLOCKS_PER_SEC < 1.8) {
        int sum = 0, cnt = 0;
        for (int i = 0; i < n; i++) {
            sum += a[p[i]];
            cnt++;
            if (sum == n - cnt) {
                printf("YES\n");
                for (int j = 0; j < n; j++) ans[j] = 2;
                for (int j = 0; j <= i; j++) ans[p[j]] = 1;
                for (int j = 0; j < n; j++) printf("%d%c", ans[j], " \n"[j + 1 == n]);
                return 0;
            }   
        }    
        random_shuffle(p, p + n);
    }
    printf("NO\n");

    return 0;
}
